Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRAbstractLRUVirtualizer.Cache.LRUScanMap

    java.lang.Object
      org.apache.commons.collections.SequencedHashMap
          org.apache.commons.collections.LRUMap
              net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer.Cache.LRUScanMap

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, java.lang.Cloneable, java.util.Map

Enclosing class:
  JRAbstractLRUVirtualizer.Cache

    protected class JRAbstractLRUVirtualizer.Cache.LRUScanMap

extends org.apache.commons.collections.LRUMap

See Also:
  Serialized Form

Constructor Summary
`JRAbstractLRUVirtualizer.Cache.LRUScanMap(int maxSize)`

Method Summary
`protected boolean` | `isRemovable(java.util.Map.Entry entry)`
`protected void` | `processRemovedLRU(java.lang.Object key, java.lang.Object value)`
`protected void` | `removeLRU()`

Methods inherited from class org.apache.commons.collections.LRUMap
`get, getMaximumSize, put, readExternal, setMaximumSize, writeExternal`

Methods inherited from class org.apache.commons.collections.SequencedHashMap
`clear, clone, containsKey, containsValue, entrySet, equals, get, getFirst, getFirstKey, getFirstValue, getLast, getLastKey, getLastValue, getValue, hashCode, indexOf, isEmpty, iterator, keySet, lastIndexOf, putAll, remove, remove, sequence, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JRAbstractLRUVirtualizer.Cache.LRUScanMap

    public JRAbstractLRUVirtualizer.Cache.LRUScanMap(int maxSize)

Method Detail

### removeLRU

    protected void removeLRU()

  Overrides:
    `removeLRU` in class `org.apache.commons.collections.LRUMap`

### isRemovable

    protected boolean isRemovable(java.util.Map.Entry entry)

### processRemovedLRU

    protected void processRemovedLRU(java.lang.Object key,
                                     java.lang.Object value)

  Overrides:
    `processRemovedLRU` in class `org.apache.commons.collections.LRUMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com